KActiveLabel Class Reference

`#include <kactivelabel.h>`

Inherits QTextBrowser.

## Public Slots

virtual void | openLink (const QString &link)

## Public Member Functions

| KActiveLabel (QWidget *parent, const char *name=0)
| KActiveLabel (const QString &text, QWidget *parent, const char *name=0)
QSize | minimumSizeHint () const
QSize | sizeHint () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
virtual void | focusInEvent (QFocusEvent *fe)
virtual void | focusOutEvent (QFocusEvent *fe)
virtual void | keyPressEvent (QKeyEvent *e)

## Detailed Description

Label with support for selection and clickable links.

openLink() the actions that will be taken when the user clicks on a link.

Author
  Waldo Bastian (basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g)

Version

Id
  kactivelabel.h 465272 2005-09-29 09:47:40Z mueller

Definition at line 37 of file kactivelabel.h.

## Constructor & Destructor Documentation

KActiveLabel::KActiveLabel | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

It connects the "linkClicked(const QString &)" signal to the "openLink(const QString &)" slot. You will need to disconnect this if you want to process linkClicked() yourself.

Definition at line 28 of file kactivelabel.cpp.

KActiveLabel::KActiveLabel | ( | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

It connects the "linkClicked(const QString &)" signal to the "openLink(const QString &)" slot. You will need to disconnect this if you want to process linkClicked() yourself.

Definition at line 34 of file kactivelabel.cpp.

## Member Function Documentation

void KActiveLabel::openLink | ( | const QString & | link | ) |

virtual slot

Opens `link` in the default browser.

If `link` starts with the text "whatsthis:" a QWhatsThis box will appear and then display the rest of the text. The WhatsThis functionality is available since KDE 3.2.

Definition at line 67 of file kactivelabel.cpp.

The documentation for this class was generated from the following files:

- kactivelabel.h
- kactivelabel.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys